Get public user profile
curl --request GET \
--url https://api.identityhub.app/users/{username}import requests
url = "https://api.identityhub.app/users/{username}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.identityhub.app/users/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"username": "durov",
"displayName": "Pavel Durov",
"bio": "Founder of Telegram & TON",
"avatar": {
"sm": "https://cdn.identityhub.app/avatars/durov_100.webp",
"lg": "https://cdn.identityhub.app/avatars/durov_256.webp"
},
"website": "https://durov.com",
"status": "ACTIVATED",
"inEcosystemSince": "2018-01-01T00:00:00.000Z",
"tags": [
{
"tag": "DEVELOPER",
"tier": "PLATINUM"
},
{
"tag": "OG"
}
],
"scores": {
"developer": 92,
"builder": 45,
"contributor": 78,
"telegram": 100,
"identity": 85
},
"contributorPercentile": 0.03,
"socialAccounts": [
{
"platform": "GITHUB",
"username": "durov",
"avatar": null,
"url": "https://github.com/durov",
"verified": true
},
{
"platform": "TELEGRAM",
"username": "durov",
"avatar": null,
"url": "https://t.me/durov",
"verified": true,
"telegramLevel": 5
}
]
}
}{
"success": false,
"error": "User not found",
"code": "NOT_FOUND"
}Users
Get public user profile
Returns public profile with social accounts, scores, and tags.
GET
/
users
/
{username}
Get public user profile
Path Parameters
Unique username of the user
Response
Success
Available options:
true Show child attributes
Show child attributes
Example:
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"username": "durov",
"displayName": "Pavel Durov",
"bio": "Founder of Telegram & TON",
"avatar": {
"sm": "https://cdn.identityhub.app/avatars/durov_100.webp",
"lg": "https://cdn.identityhub.app/avatars/durov_256.webp"
},
"website": "https://durov.com",
"status": "ACTIVATED",
"inEcosystemSince": "2018-01-01T00:00:00.000Z",
"tags": [
{ "tag": "DEVELOPER", "tier": "PLATINUM" },
{ "tag": "OG" }
],
"scores": {
"developer": 92,
"builder": 45,
"contributor": 78,
"telegram": 100,
"identity": 85
},
"contributorPercentile": 0.03,
"socialAccounts": [
{
"platform": "GITHUB",
"username": "durov",
"avatar": null,
"url": "https://github.com/durov",
"verified": true
},
{
"platform": "TELEGRAM",
"username": "durov",
"avatar": null,
"url": "https://t.me/durov",
"verified": true,
"telegramLevel": 5
}
]
}